Hanzo
API Reference

Hanzo Admin API

The god-mode admin surface (`/v1/admin/*`) the Hanzo Admin Console

The god-mode admin surface (/v1/admin/*) the Hanzo Admin Console

Hanzo Admin API · All API references →

Base URLhttps://api.hanzo.ai
Version1.0.0
Operations21

Authentication

  • bearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://api.hanzo.ai

Endpoints

Audit

MethodEndpointDescription
GET/v1/admin/auditQuery the tamper-evident audit trail
GET/v1/admin/audit/verifyVerify audit-chain integrity

Customers

MethodEndpointDescription
GET/v1/admin/customersFleet customer list
GET/v1/admin/customers/{org}One customer's detail
POST/v1/admin/customers/{org}/creditGrant credit (commerce deposit)
POST/v1/admin/customers/{org}/suspendSuspend a customer (IAM isForbidden=true)
POST/v1/admin/customers/{org}/reactivateReactivate a customer (IAM isForbidden=false)

Identity

MethodEndpointDescription
GET/v1/admin/meValidated operator identity
GET/v1/admin/orgsTenant directory
GET/v1/admin/usersCross-org user directory
GET/v1/admin/rolesIAM roles (verbatim passthrough)
GET/v1/admin/applicationsIAM applications (verbatim passthrough)

Money

MethodEndpointDescription
GET/v1/admin/financeCOGS / gross-margin / runway dashboard
GET/v1/admin/revenueFleet revenue aggregate
GET/v1/admin/analyticsNative SaaS analytics (retention/growth/churn)

Observability

MethodEndpointDescription
GET/v1/admin/computeCross-tenant compute analytics
GET/v1/admin/o11yFleet-wide observability board

Overview

MethodEndpointDescription
GET/v1/admin/overviewFleet overview tiles
GET/v1/admin/usageFleet usage roll-up
GET/v1/admin/productsProduct / workload registry
POST/v1/admin/syncTrigger a fleet re-read

All Hanzo APIs · OpenAPI spec

How is this guide?

On this page